Bug 89169 - Nautilus desktop stays as root after running from command line (as root)
Nautilus desktop stays as root after running from command line (as root)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-18 21:06 EDT by Peter Davie
Modified: 2015-01-07 19:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 08:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Davie 2003-04-18 21:06:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Task: Perform operations as root when logged in as another user.

History: The same approach was used in RH8 without the side effects found in RH9

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
To reproduce:
1. open terminal window
2. log on as root
3. run natilus: e.g. ./nautilus &
4. Upon closing nautilus the desktop gets redrawn as root's desktop (not the
orignal user) and remains there until a logout is done.

    

Actual Results:  Nautilus stays in "root mode" despite the process having been
terminated. The temporary workarounds are noted under additional info.

Expected Results:  The problem here is that this behaviour differs radically
from RH8. Arguably RH8 should have behaved in this manner in the first place :-)

Additional info:

Workaround 1: run nautilus with the --no-desktop option.
Workaround 2: live with it and log out.
Workaround 3: Do not run as separate process
Workaround 4: Create a menu entry like in KDE for "Superuser Nautilus"
Comment 1 Alexander Larsson 2003-04-24 10:51:02 EDT
Well, it really shouldn't be managing the desktop if another copy already is.
Comment 2 Alexander Larsson 2003-06-02 08:57:05 EDT
This is fixed in RAWHIDE by the use of a manager selection for the desktop. If
anyone is already managing the desktop nautilus won't.

Note You need to log in before you can comment on or make changes to this bug.